package com.chenyang.druid.sql.dialect.spark.ast;

import com.chenyang.druid.sql.ast.statement.SQLTableSourceImpl;
import com.chenyang.druid.sql.dialect.spark.ast.expr.SparkSelectTableSource;
import com.chenyang.druid.sql.dialect.spark.visitor.SparkVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public abstract class SparkTableSource extends SQLTableSourceImpl implements SparkSelectTableSource {
   public SparkTableSource() {
   }

   public SparkTableSource(String alias) {
      this.alias = alias;
   }

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((SparkVisitor)visitor);
   }

   public abstract void accept0(SparkVisitor var1);
}
